JBoss API: Class Application

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class Application

    java.lang.Object
      |
      +--org.jboss.ejb.Application

All Implemented Interfaces:
  Service

public class Application
extends java.lang.Object
implements Service

An Application represents a collection of beans that are deployed as a unit. The beans may use the Application to access other beans within the same deployment unit

Version:
  $Revision: 1.11.2.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  `Container`, `ContainerFactory`

Constructor Summary
`Application()`

Method Summary
`void` | `addContainer(Container con)` Add a container to this application.
`void` | `addLocalHome(Container con, javax.ejb.EJBLocalHome localHome)`
`void` | `destroy()` Destroys all the containers of this application.
`java.lang.ClassLoader` | `getClassLoader()` Get the class loader of this Application.
`Container` | `getContainer(java.lang.String name)` Get a container from this Application that corresponds to a given name
`java.util.Collection` | `getContainers()` Get all containers in this Application.
`javax.ejb.EJBLocalHome` | `getLocalHome(Container con)`
`java.lang.String` | `getName()` Get the name of this Application.
`java.net.URL` | `getURL()` Get the URL from which this Application was deployed
`void` | `init()` Initializes all the containers of this application.
`void` | `removeContainer(Container con)` Remove a container from this application.
`void` | `removeLocalHome(Container con)`
`void` | `setClassLoader(java.lang.ClassLoader cl)` Set the class loader of this Application
`void` | `setName(java.lang.String name)` Set the name of this Application
`void` | `setURL(java.net.URL url)` Set the URL that was used to deploy this Application
`void` | `start()` Starts all the containers of this application.
`void` | `stop()` Stops all the containers of this application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Application

    public Application()

Method Detail

### addContainer

    public void addContainer(Container con)

  Add a container to this application. This is called by the ContainerFactory.
  Parameters:
    `con` -

### removeContainer

    public void removeContainer(Container con)

  Remove a container from this application.
  Parameters:
    `con` -

### addLocalHome

    public void addLocalHome(Container con,
                             javax.ejb.EJBLocalHome localHome)

### removeLocalHome

    public void removeLocalHome(Container con)

### getLocalHome

    public javax.ejb.EJBLocalHome getLocalHome(Container con)

### getContainer

    public Container getContainer(java.lang.String name)

  Get a container from this Application that corresponds to a given name
  Parameters:
    `name` - ejb-name name defined in ejb-jar.xml
  Returns:
    container for the named bean, or null if the container was not found

### getContainers

    public java.util.Collection getContainers()

  Get all containers in this Application.
  Returns:
    a collection of containers for each enterprise bean in this application unit.

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Get the class loader of this Application.
  Returns:

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader cl)

  Set the class loader of this Application
  Parameters:
    `name` -

### getName

    public java.lang.String getName()

  Get the name of this Application.
  Returns:

### setName

    public void setName(java.lang.String name)

  Set the name of this Application
  Parameters:
    `name` -

### getURL

    public java.net.URL getURL()

  Get the URL from which this Application was deployed
  Returns:

### setURL

    public void setURL(java.net.URL url)

  Set the URL that was used to deploy this Application
  Parameters:
    `url` -

### init

    public void init()
              throws java.lang.Exception

  Initializes all the containers of this application.
  Specified by:
    `init` in interface `Service`
  Throws:
    `java.lang.Exception` -

### start

    public void start()
               throws java.lang.Exception

  Starts all the containers of this application.
  Specified by:
    `start` in interface `Service`
  Throws:
    `java.lang.Exception` -

### stop

    public void stop()

  Stops all the containers of this application.
  Specified by:
    `stop` in interface `Service`

### destroy

    public void destroy()

  Destroys all the containers of this application.
  Specified by:
    `destroy` in interface `Service`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.